Name:		ucblogo
Version:	5.5
Release:	4%{?dist}
Summary:	An interpreter for the Logo programming language

Group: 		Development/Languages
License:	GPL
Source: 	ftp://ftp.cs.berkeley.edu/pub/ucblogo/ucblogo-5.5.tar.gz
URL: 		http://www.cs.berkeley.edu/~bh
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	emacs
BuildRequires:	texinfo
BuildRequires:	texinfo-tex
BuildRequires:	texi2html
BuildRequires:	tetex-dvips
BuildRequires:	ghostscript
BuildRequires:	libX11-devel
BuildRequires:	libXt-devel
BuildRequires:	libSM-devel
BuildRequires:	libICE-devel
BuildRequires:	libtermcap-devel
Requires(post):  /sbin/install-info
Requires(preun): /sbin/install-info


%description
Berkeley Logo (ucblogo) is an interpreter for the Logo programming
language. Logo is a computer programming language designed for use by
learners, including children. This dialect of Logo features
random-access arrays, variable number of inputs to user-defined
procedures, various error handling improvements, comments and
continuation lines, first-class instruction and expression templates,
and macros.


%prep
%setup -q

# no dot files in directories
perl -pi -e 's|\.logo|dot.logo|g' emacs/dot.*
perl -pi -e 's|/\.logo|/dot.logo|g' emacs/makefile
perl -pi -e 's|\.LOOPS|dot.LOOPS|g' emacs/dot.*
perl -pi -e 's|/\.LOOPS|/dot.LOOPS|g' emacs/makefile

# correct directories /usr/lib -> /usr/share and /usr/local ->  /usr
perl -pi -e 's|/local/lib/logo|/share/logo|g' emacs/* *.c README
perl -pi -e 's|/lib/logo|/share/logo|g' emacs/* *.c makefile*
perl -pi -e 's|/usr/local/bin/logo|/usr/bin/logo|g' docs/html/usermanual_1.html
perl -pi -e 's|/usr/local/bin/logo|/usr/bin/logo|g' docs/ucblogo.info-1
perl -pi -e 's|/usr/local/bin/logo|/usr/bin/logo|g' docs/usermanual.texi
perl -pi -e 's|/usr/local/bin/logo|/usr/bin/logo|g' README
perl -pi -e 's|/usr/local/info|/usr/share/info|g' emacs/logo.el emacs/README README
perl -pi -e 's|/usr/info|/usr/share/info|g' emacs/dot.emacs
perl -pi -e 's|\$\(prefix\)/info|/usr/share/info|' emacs/makefile


%build
%configure --x-includes=%{_includedir} --x-libraries=%{_libdir} --with-x
make %{_smp_mflags}


%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall

mkdir -p ${RPM_BUILD_ROOT}/%{_datadir}/info
mv -f ${RPM_BUILD_ROOT}/%{_prefix}/info/* ${RPM_BUILD_ROOT}/%{_datadir}/info
rm -fr ${RPM_BUILD_ROOT}/%{_prefix}/info

mkdir -p ${RPM_BUILD_ROOT}/%{_datadir}/emacs/site-lisp/site-start.d
cp -f ${RPM_BUILD_ROOT}/%{_datadir}/logo/emacs/dot.emacs ${RPM_BUILD_ROOT}/%{_datadir}/emacs/site-lisp/site-start.d/logo-mode.el
rm -f ${RPM_BUILD_ROOT}/%{_bindir}/install-logo-mode
mkdir installdocs
mv -f ${RPM_BUILD_ROOT}/%{_datadir}/logo/docs/html installdocs
rm -fr ${RPM_BUILD_ROOT}/%{_datadir}/logo/docs

%clean
rm -rf ${RPM_BUILD_ROOT}


%post
/sbin/install-info %{_infodir}/loops.info --entry="* Loops: (loops).	Berkeley Logo Object Oriented Programming System." --section="Programming Languages" %{_infodir}/dir 2>/dev/null || :
/sbin/install-info %{_infodir}/ucblogo.info --entry="* UCBLogo: (ucblogo).	Berkeley Logo User Manual." --section="Programming Languages"  %{_infodir}/dir 2>/dev/null || :


%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/loops.info --entry="* Loops: (loops).	Berkeley Logo Object Oriented Programming System." --section="Programming Languages" %{_infodir}/dir 2>/dev/null || :
    /sbin/install-info --delete  %{_infodir}/ucblogo.info --entry="* UCBLogo: (ucblogo).	Berkeley Logo User Manual." --section="Programming Languages"  %{_infodir}/dir 2>/dev/null || :
fi


%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_datadir}/logo
%{_infodir}/*
%{_datadir}/emacs/site-lisp/site-start.d
%doc installdocs/* README gpl plm


%changelog
* Thu Jun 29 2006 Gerard Milmeister <gemi@bluewin.ch> - 5.5-4
- added BR texi2html
- added BR libXt-devel
- added include and libs options for X11 to configure

* Sat Jun  3 2006 Gerard Milmeister <gemi@bluewin.ch> - 5.5-3
- added BuildReq: texinfo-tex
- make owned the directory %{_datadir}/emacs/site-lisp/site-start.d

* Sun Aug 14 2005 Gerard Milmeister <gemi@bluewin.ch> - 5.5-2
- New Version 5.5

* Mon Mar  7 2005 Gerard Milmeister <gemi@bluewin.ch> - 5.4-1
- New Version 5.4

* Thu Feb 26 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:5.3-0.fdr.2
- Install info files
- Install emacs site-start file

* Sun Oct 26 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:5.3-0.fdr.1
- First Fedora release
